# List placeholder resources

Retrieves a paginated list of all placeholder resources in the account.

Endpoint: GET /placeholder_resources
Version: v1
Security: AuthToken

## Query parameters:

  - `fields` (string)
    A comma-separated list of additional fields to include in the response. Custom field values require a Pro plan or higher.
    Enum: "assignments", "custom_field_values"

  - `per_page` (integer)
    Parameters for pagination.

  - `page` (integer)
    Parameters for pagination.

  - `with_deleted` (boolean)
    If set to true, includes resources flagged as deleted.

## Response 200 fields (application/json):

  - `paging` (object)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 1

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `paging.count` (integer,null)
    The total number of items in all the pages.

  - `data` (array)

  - `data.id` (integer, required)
    Unique identifier for the placeholder resource.
    Example: 1543853

  - `data.title` (string, required)
    The name/title of the placeholder.
    Example: "IT Admin"

  - `data.user_type_id` (integer, required)
    The numeric code that specifies the user/resource type.

  - `data.guid` (string, required)
    The globally unique identifier (GUID) for the resource.
    Example: "337e802d-30b8-4abe-a021-0c66e64ba326"

  - `data.role` (string,null)
    The placeholder's role in the organization.

  - `data.discipline` (string,null)
    The placeholder's discipline.

  - `data.location` (string,null)
    The organizational location the placeholder belongs to.

  - `data.displayName` (string, required)
    The displayed name of the placeholder.
    Example: "IT Admin"

  - `data.type` (string, required)
    The object type.
    Example: "PlaceholderResource"

  - `data.thumbnail` (string,null)
    A URL to the placeholder's image thumbnail.
    Example: "https://assets.rm.smartsheet.com/images/it_admin.png"

  - `data.abbreviation` (string,null)
    A short abbreviation for the placeholder.
    Example: "IT"

  - `data.color` (string,null)
    The color associated with the placeholder in the UI.
    Example: "Fuchsia"

  - `data.created_at` (string, required)
    The time of creation.
    Example: "2022-03-22T18:56:10Z"

  - `data.updated_at` (string, required)
    The time of the last update.
    Example: "2022-04-05T19:47:27Z"

  - `data.billrate` (number, required)
    The user's billable rate. A value of -1 indicates the default rate.
    Example: -1


## Response 404 fields
